Permalink
Browse files

Add beauty-error dependency

  • Loading branch information...
Kikobeats committed Nov 5, 2018
1 parent a22c55a commit 44e175bf5efae34b844dbb5705bc1e64386a68ad
Showing with 3 additions and 61 deletions.
  1. +2 −2 bin/cli/index.js
  2. +0 −56 bin/cli/pretty-error.js
  3. +1 −3 package.json
@@ -8,7 +8,7 @@ const { omit, first, concat, isEmpty } = require('lodash')
const urlint = require('@urlint/core')
const { ci } = require('ci-env')
const prettyError = require('./pretty-error')
const beautyError = require('beauty-error')
const pkg = require('../../package.json')
const getUrl = require('./get-url')
const build = require('./build')
@@ -93,7 +93,7 @@ const cli = require('meow')(require('./help'), {
const emitter = await urlint(url, opts)
view({ emitter, ...opts })
} catch (genericError) {
console.log(prettyError(genericError))
console.log(beautyError(genericError))
await build.exit({ buildCode: 1, exitCode: 1 })
}
})()

This file was deleted.

Oops, something went wrong.
@@ -33,18 +33,16 @@
],
"dependencies": {
"@urlint/core": "~1.4.3",
"beauty-error": "~1.0.0",
"chalk": "~2.4.1",
"ci-env": "~1.6.1",
"clean-stack": "~2.0.0",
"cosmiconfig": "~5.0.6",
"github-build": "~1.2.0",
"is-iterable": "~1.1.1",
"lodash": "~4.17.10",
"meow": "~5.0.0",
"neat-log": "~3.1.0",
"normalize-url": "~3.3.0",
"ora": "~3.0.0",
"pretty-error": "~2.1.1",
"pretty-ms": "~4.0.0",
"puppeteer": "~1.10.0",
"reachable-url": "~1.1.3",

0 comments on commit 44e175b

Please sign in to comment.